# Breve
### a url shortener

Breve is a web application that provides a simple interface to
shortening long urls creating links smaller and easier to remember.

It creates links in the form of "/emeaoinqua": easier to remember than
alphanumeric strings like "/1Cqw8lHw" used by several services.

It was inspired by [hastebin](http://hastebin.com).

## Installing the app

Install the app with cabal-install. Run

    $ cabal install breve

and start it with
	
    $ breve

The app will start serving on `http://localhost:3000`, listening on every active interface.

You can change the port and set a hostname via the `PORT` and `HOSTNAME` environment variables.

## License

Dual licensed under the MIT and GPL licenses:  
http://www.opensource.org/licenses/mit-license.php  
http://www.gnu.org/licenses/gpl.html
